scala.swing

# Applet

#### abstract class Applet extends JApplet

Clients should implement the ui field. See the `SimpleApplet` demo for an example.

Note: `Applet` extends `javax.swing.JApplet` to satisfy Java's applet loading mechanism. The usual component wrapping scheme doesn't work here.

Self Type
  Applet
Source
  Applet.scala
See also

  javax.swing.JApplet

Linear Supertypes
JApplet, HasGetTransferHandler, RootPaneContainer, Applet, Panel, Accessible, Container, Component, Serializable, MenuContainer, ImageObserver, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Applet
2. JApplet
3. HasGetTransferHandler
4. RootPaneContainer
5. Applet
6. Panel
7. Accessible
8. Container
9. Component
10. Serializable
11. MenuContainer
12. ImageObserver
13. AnyRef
14. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Applet()

### Type Members

1. #### abstract class UI extends RootPanel

### Abstract Value Members

1. #### abstract val ui: UI

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def add(arg0: Component, arg1: Any, arg2: Int): Unit

   Definition Classes
     Container

7. #### def add(arg0: Component, arg1: Any): Unit

   Definition Classes
     Container

8. #### def add(arg0: Component, arg1: Int): Component

   Definition Classes
     Container

9. #### def add(arg0: String, arg1: Component): Component

   Definition Classes
     Container

10. #### def add(arg0: Component): Component

    Definition Classes
      Container

11. #### def add(arg0: PopupMenu): Unit

    Definition Classes
      Component

12. #### def addComponentListener(arg0: ComponentListener): Unit

    Definition Classes
      Component

13. #### def addContainerListener(arg0: ContainerListener): Unit

    Definition Classes
      Container

14. #### def addFocusListener(arg0: FocusListener): Unit

    Definition Classes
      Component

15. #### def addHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

    Definition Classes
      Component

16. #### def addHierarchyListener(arg0: HierarchyListener): Unit

    Definition Classes
      Component

17. #### def addImpl(arg0: Component, arg1: Any, arg2: Int): Unit

    Attributes
      protected[swing]
    Definition Classes
      JApplet → Container

18. #### def addInputMethodListener(arg0: InputMethodListener): Unit

    Definition Classes
      Component

19. #### def addKeyListener(arg0: KeyListener): Unit

    Definition Classes
      Component

20. #### def addMouseListener(arg0: MouseListener): Unit

    Definition Classes
      Component

21. #### def addMouseMotionListener(arg0: MouseMotionListener): Unit

    Definition Classes
      Component

22. #### def addMouseWheelListener(arg0: MouseWheelListener): Unit

    Definition Classes
      Component

23. #### def addNotify(): Unit

    Definition Classes
      Panel → Container → Component

24. #### def addPropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

    Definition Classes
      Container → Component

25. #### def addPropertyChangeListener(arg0: PropertyChangeListener): Unit

    Definition Classes
      Container → Component

26. #### def applyComponentOrientation(arg0: ComponentOrientation): Unit

    Definition Classes
      Container → Component

27. #### def areFocusTraversalKeysSet(arg0: Int): Boolean

    Definition Classes
      Container → Component

28. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

29. #### def checkImage(arg0: Image, arg1: Int, arg2: Int, arg3: ImageObserver): Int

    Definition Classes
      Component

30. #### def checkImage(arg0: Image, arg1: ImageObserver): Int

    Definition Classes
      Component

31. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

32. #### def coalesceEvents(arg0: AWTEvent, arg1: AWTEvent): AWTEvent

    Attributes
      protected[awt]
    Definition Classes
      Component

33. #### def contains(arg0: Point): Boolean

    Definition Classes
      Component

34. #### def contains(arg0: Int, arg1: Int): Boolean

    Definition Classes
      Component

35. #### def createImage(arg0: Int, arg1: Int): Image

    Definition Classes
      Component

36. #### def createImage(arg0: ImageProducer): Image

    Definition Classes
      Component

37. #### def createRootPane(): JRootPane

    Attributes
      protected[swing]
    Definition Classes
      JApplet

38. #### def createVolatileImage(arg0: Int, arg1: Int, arg2: ImageCapabilities): VolatileImage

    Definition Classes
      Component
    Annotations
      @throws()

39. #### def createVolatileImage(arg0: Int, arg1: Int): VolatileImage

    Definition Classes
      Component

40. #### def destroy(): Unit

    Definition Classes
      Applet

41. #### final def disableEvents(arg0: Long): Unit

    Attributes
      protected[awt]
    Definition Classes
      Component

42. #### final def dispatchEvent(arg0: AWTEvent): Unit

    Definition Classes
      Component

43. #### def doLayout(): Unit

    Definition Classes
      Container → Component

44. #### final def enableEvents(arg0: Long): Unit

    Attributes
      protected[awt]
    Definition Classes
      Component

45. #### def enableInputMethods(arg0: Boolean): Unit

    Definition Classes
      Component

46. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

47. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

48. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

49. #### def findComponentAt(arg0: Point): Component

    Definition Classes
      Container

50. #### def findComponentAt(arg0: Int, arg1: Int): Component

    Definition Classes
      Container

51. #### def firePropertyChange(arg0: String, arg1: Double, arg2: Double): Unit

    Definition Classes
      Component

52. #### def firePropertyChange(arg0: String, arg1: Float, arg2: Float): Unit

    Definition Classes
      Component

53. #### def firePropertyChange(arg0: String, arg1: Long, arg2: Long): Unit

    Definition Classes
      Component

54. #### def firePropertyChange(arg0: String, arg1: Short, arg2: Short): Unit

    Definition Classes
      Component

55. #### def firePropertyChange(arg0: String, arg1: Char, arg2: Char): Unit

    Definition Classes
      Component

56. #### def firePropertyChange(arg0: String, arg1: Byte, arg2: Byte): Unit

    Definition Classes
      Component

57. #### def firePropertyChange(arg0: String, arg1: Int, arg2: Int): Unit

    Attributes
      protected[awt]
    Definition Classes
      Component

58. #### def firePropertyChange(arg0: String, arg1: Boolean, arg2: Boolean): Unit

    Attributes
      protected[awt]
    Definition Classes
      Component

59. #### def firePropertyChange(arg0: String, arg1: Any, arg2: Any): Unit

    Attributes
      protected[awt]
    Definition Classes
      Component

60. #### def getAccessibleContext(): AccessibleContext

    Definition Classes
      JApplet → Applet → Panel → Accessible → Component

61. #### def getAlignmentX(): Float

    Definition Classes
      Container → Component

62. #### def getAlignmentY(): Float

    Definition Classes
      Container → Component

63. #### def getAppletContext(): AppletContext

    Definition Classes
      Applet

64. #### def getAppletInfo(): String

    Definition Classes
      Applet

65. #### def getAudioClip(arg0: URL, arg1: String): AudioClip

    Definition Classes
      Applet

66. #### def getAudioClip(arg0: URL): AudioClip

    Definition Classes
      Applet

67. #### def getBackground(): Color

    Definition Classes
      Component
    Annotations
      @Transient()

68. #### def getBaseline(arg0: Int, arg1: Int): Int

    Definition Classes
      Component

69. #### def getBaselineResizeBehavior(): BaselineResizeBehavior

    Definition Classes
      Component

70. #### def getBounds(arg0: Rectangle): Rectangle

    Definition Classes
      Component

71. #### def getBounds(): Rectangle

    Definition Classes
      Component

72. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

73. #### def getCodeBase(): URL

    Definition Classes
      Applet

74. #### def getColorModel(): ColorModel

    Definition Classes
      Component

75. #### def getComponent(arg0: Int): Component

    Definition Classes
      Container

76. #### def getComponentAt(arg0: Point): Component

    Definition Classes
      Container → Component

77. #### def getComponentAt(arg0: Int, arg1: Int): Component

    Definition Classes
      Container → Component

78. #### def getComponentCount(): Int

    Definition Classes
      Container

79. #### def getComponentListeners(): Array[ComponentListener]

    Definition Classes
      Component

80. #### def getComponentOrientation(): ComponentOrientation

    Definition Classes
      Component

81. #### def getComponentZOrder(arg0: Component): Int

    Definition Classes
      Container

82. #### def getComponents(): Array[Component]

    Definition Classes
      Container

83. #### def getContainerListeners(): Array[ContainerListener]

    Definition Classes
      Container

84. #### def getContentPane(): Container

    Definition Classes
      JApplet → RootPaneContainer

85. #### def getCursor(): Cursor

    Definition Classes
      Component

86. #### def getDocumentBase(): URL

    Definition Classes
      Applet

87. #### def getDropTarget(): DropTarget

    Definition Classes
      Component

88. #### def getFocusCycleRootAncestor(): Container

    Definition Classes
      Component

89. #### def getFocusListeners(): Array[FocusListener]

    Definition Classes
      Component

90. #### def getFocusTraversalKeys(arg0: Int): Set[AWTKeyStroke]

    Definition Classes
      Container → Component

91. #### def getFocusTraversalKeysEnabled(): Boolean

    Definition Classes
      Component

92. #### def getFocusTraversalPolicy(): FocusTraversalPolicy

    Definition Classes
      Container

93. #### def getFont(): Font

    Definition Classes
      Component → MenuContainer
    Annotations
      @Transient()

94. #### def getFontMetrics(arg0: Font): FontMetrics

    Definition Classes
      Component

95. #### def getForeground(): Color

    Definition Classes
      Component
    Annotations
      @Transient()

96. #### def getGlassPane(): Component

    Definition Classes
      JApplet → RootPaneContainer

97. #### def getGraphics(): Graphics

    Definition Classes
      JApplet → Component

98. #### def getGraphicsConfiguration(): GraphicsConfiguration

    Definition Classes
      Component

99. #### def getHeight(): Int

    Definition Classes
      Component

100. #### def getHierarchyBoundsListeners(): Array[HierarchyBoundsListener]

     Definition Classes
       Component

101. #### def getHierarchyListeners(): Array[HierarchyListener]

     Definition Classes
       Component

102. #### def getIgnoreRepaint(): Boolean

     Definition Classes
       Component

103. #### def getImage(arg0: URL, arg1: String): Image

     Definition Classes
       Applet

104. #### def getImage(arg0: URL): Image

     Definition Classes
       Applet

105. #### def getInputContext(): InputContext

     Definition Classes
       Component

106. #### def getInputMethodListeners(): Array[InputMethodListener]

     Definition Classes
       Component

107. #### def getInputMethodRequests(): InputMethodRequests

     Definition Classes
       Component

108. #### def getInsets(): Insets

     Definition Classes
       Container

109. #### def getJMenuBar(): JMenuBar

     Definition Classes
       JApplet

110. #### def getKeyListeners(): Array[KeyListener]

     Definition Classes
       Component

111. #### def getLayeredPane(): JLayeredPane

     Definition Classes
       JApplet → RootPaneContainer

112. #### def getLayout(): LayoutManager

     Definition Classes
       Container

113. #### def getListeners[T <: EventListener](arg0: Class[T]): Array[T]

     Definition Classes
       Container → Component

114. #### def getLocale(): Locale

     Definition Classes
       Applet → Component

115. #### def getLocation(arg0: Point): Point

     Definition Classes
       Component

116. #### def getLocation(): Point

     Definition Classes
       Component

117. #### def getLocationOnScreen(): Point

     Definition Classes
       Component

118. #### def getMaximumSize(): Dimension

     Definition Classes
       Container → Component

119. #### def getMinimumSize(): Dimension

     Definition Classes
       Container → Component

120. #### def getMouseListeners(): Array[MouseListener]

     Definition Classes
       Component

121. #### def getMouseMotionListeners(): Array[MouseMotionListener]

     Definition Classes
       Component

122. #### def getMousePosition(arg0: Boolean): Point

     Definition Classes
       Container
     Annotations
       @throws()

123. #### def getMousePosition(): Point

     Definition Classes
       Component
     Annotations
       @throws()

124. #### def getMouseWheelListeners(): Array[MouseWheelListener]

     Definition Classes
       Component

125. #### def getName(): String

     Definition Classes
       Component

126. #### def getParameter(arg0: String): String

     Definition Classes
       Applet

127. #### def getParameterInfo(): Array[Array[String]]

     Definition Classes
       Applet

128. #### def getParent(): Container

     Definition Classes
       Component

129. #### def getPreferredSize(): Dimension

     Definition Classes
       Container → Component

130. #### def getPropertyChangeListeners(arg0: String): Array[PropertyChangeListener]

     Definition Classes
       Component

131. #### def getPropertyChangeListeners(): Array[PropertyChangeListener]

     Definition Classes
       Component

132. #### def getRootPane(): JRootPane

     Definition Classes
       JApplet → RootPaneContainer

133. #### def getSize(arg0: Dimension): Dimension

     Definition Classes
       Component

134. #### def getSize(): Dimension

     Definition Classes
       Component

135. #### def getToolkit(): Toolkit

     Definition Classes
       Component

136. #### def getTransferHandler(): TransferHandler

     Definition Classes
       JApplet → HasGetTransferHandler

137. #### final def getTreeLock(): AnyRef

     Definition Classes
       Component

138. #### def getWidth(): Int

     Definition Classes
       Component

139. #### def getX(): Int

     Definition Classes
       Component

140. #### def getY(): Int

     Definition Classes
       Component

141. #### def hasFocus(): Boolean

     Definition Classes
       Component

142. #### def hashCode(): Int

     The hashCode method for reference types.

     The hashCode method for reference types. See hashCode in Any.

     returns

       the hash code value for this object.

     Definition Classes
       AnyRef → Any

143. #### def imageUpdate(arg0: Image, arg1: Int, arg2: Int, arg3: Int, arg4: Int, arg5: Int): Boolean

     Definition Classes
       Component → ImageObserver

144. #### def init(): Unit

     Definition Classes
       Applet → Applet

145. #### def invalidate(): Unit

     Definition Classes
       Container → Component

146. #### def isActive(): Boolean

     Definition Classes
       Applet

147. #### def isAncestorOf(arg0: Component): Boolean

     Definition Classes
       Container

148. #### def isBackgroundSet(): Boolean

     Definition Classes
       Component

149. #### def isCursorSet(): Boolean

     Definition Classes
       Component

150. #### def isDisplayable(): Boolean

     Definition Classes
       Component

151. #### def isDoubleBuffered(): Boolean

     Definition Classes
       Component

152. #### def isEnabled(): Boolean

     Definition Classes
       Component

153. #### def isFocusCycleRoot(): Boolean

     Definition Classes
       Container

154. #### def isFocusCycleRoot(arg0: Container): Boolean

     Definition Classes
       Container → Component

155. #### def isFocusOwner(): Boolean

     Definition Classes
       Component

156. #### final def isFocusTraversalPolicyProvider(): Boolean

     Definition Classes
       Container

157. #### def isFocusTraversalPolicySet(): Boolean

     Definition Classes
       Container

158. #### def isFocusable(): Boolean

     Definition Classes
       Component

159. #### def isFontSet(): Boolean

     Definition Classes
       Component

160. #### def isForegroundSet(): Boolean

     Definition Classes
       Component

161. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

162. #### def isLightweight(): Boolean

     Definition Classes
       Component

163. #### def isMaximumSizeSet(): Boolean

     Definition Classes
       Component

164. #### def isMinimumSizeSet(): Boolean

     Definition Classes
       Component

165. #### def isOpaque(): Boolean

     Definition Classes
       Component

166. #### def isPreferredSizeSet(): Boolean

     Definition Classes
       Component

167. #### def isRootPaneCheckingEnabled(): Boolean

     Attributes
       protected[swing]
     Definition Classes
       JApplet

168. #### def isShowing(): Boolean

     Definition Classes
       Component

169. #### def isValid(): Boolean

     Definition Classes
       Component

170. #### def isValidateRoot(): Boolean

     Definition Classes
       Applet → Container

171. #### def isVisible(): Boolean

     Definition Classes
       Component
     Annotations
       @Transient()

172. #### def list(arg0: PrintWriter, arg1: Int): Unit

     Definition Classes
       Container → Component

173. #### def list(arg0: PrintStream, arg1: Int): Unit

     Definition Classes
       Container → Component

174. #### def list(arg0: PrintWriter): Unit

     Definition Classes
       Component

175. #### def list(arg0: PrintStream): Unit

     Definition Classes
       Component

176. #### def list(): Unit

     Definition Classes
       Component

177. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

178. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

179. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

180. #### def paint(arg0: Graphics): Unit

     Definition Classes
       Container → Component

181. #### def paintAll(arg0: Graphics): Unit

     Definition Classes
       Component

182. #### def paintComponents(arg0: Graphics): Unit

     Definition Classes
       Container

183. #### def paramString(): String

     Attributes
       protected[swing]
     Definition Classes
       JApplet → Container → Component

184. #### def play(arg0: URL, arg1: String): Unit

     Definition Classes
       Applet

185. #### def play(arg0: URL): Unit

     Definition Classes
       Applet

186. #### def prepareImage(arg0: Image, arg1: Int, arg2: Int, arg3: ImageObserver): Boolean

     Definition Classes
       Component

187. #### def prepareImage(arg0: Image, arg1: ImageObserver): Boolean

     Definition Classes
       Component

188. #### def print(arg0: Graphics): Unit

     Definition Classes
       Container → Component

189. #### def printAll(arg0: Graphics): Unit

     Definition Classes
       Component

190. #### def printComponents(arg0: Graphics): Unit

     Definition Classes
       Container

191. #### def processComponentEvent(arg0: ComponentEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

192. #### def processContainerEvent(arg0: ContainerEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Container

193. #### def processEvent(arg0: AWTEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Container → Component

194. #### def processFocusEvent(arg0: FocusEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

195. #### def processHierarchyBoundsEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

196. #### def processHierarchyEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

197. #### def processInputMethodEvent(arg0: InputMethodEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

198. #### def processKeyEvent(arg0: KeyEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

199. #### def processMouseEvent(arg0: MouseEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

200. #### def processMouseMotionEvent(arg0: MouseEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

201. #### def processMouseWheelEvent(arg0: MouseWheelEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

202. #### def remove(arg0: Component): Unit

     Definition Classes
       JApplet → Container

203. #### def remove(arg0: Int): Unit

     Definition Classes
       Container

204. #### def remove(arg0: MenuComponent): Unit

     Definition Classes
       Component → MenuContainer

205. #### def removeAll(): Unit

     Definition Classes
       Container

206. #### def removeComponentListener(arg0: ComponentListener): Unit

     Definition Classes
       Component

207. #### def removeContainerListener(arg0: ContainerListener): Unit

     Definition Classes
       Container

208. #### def removeFocusListener(arg0: FocusListener): Unit

     Definition Classes
       Component

209. #### def removeHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

     Definition Classes
       Component

210. #### def removeHierarchyListener(arg0: HierarchyListener): Unit

     Definition Classes
       Component

211. #### def removeInputMethodListener(arg0: InputMethodListener): Unit

     Definition Classes
       Component

212. #### def removeKeyListener(arg0: KeyListener): Unit

     Definition Classes
       Component

213. #### def removeMouseListener(arg0: MouseListener): Unit

     Definition Classes
       Component

214. #### def removeMouseMotionListener(arg0: MouseMotionListener): Unit

     Definition Classes
       Component

215. #### def removeMouseWheelListener(arg0: MouseWheelListener): Unit

     Definition Classes
       Component

216. #### def removeNotify(): Unit

     Definition Classes
       Container → Component

217. #### def removePropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

     Definition Classes
       Component

218. #### def removePropertyChangeListener(arg0: PropertyChangeListener): Unit

     Definition Classes
       Component

219. #### def repaint(arg0: Long, arg1: Int, arg2: Int, arg3: Int, arg4: Int): Unit

     Definition Classes
       JApplet → Component

220. #### def repaint(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

221. #### def repaint(arg0: Long): Unit

     Definition Classes
       Component

222. #### def repaint(): Unit

     Definition Classes
       Component

223. #### def requestFocus(arg0: Boolean): Boolean

     Attributes
       protected[awt]
     Definition Classes
       Component

224. #### def requestFocus(): Unit

     Definition Classes
       Component

225. #### def requestFocusInWindow(arg0: Boolean): Boolean

     Attributes
       protected[awt]
     Definition Classes
       Component

226. #### def requestFocusInWindow(): Boolean

     Definition Classes
       Component

227. #### def resize(arg0: Dimension): Unit

     Definition Classes
       Applet → Component

228. #### def resize(arg0: Int, arg1: Int): Unit

     Definition Classes
       Applet → Component

229. #### def revalidate(): Unit

     Definition Classes
       Component

230. #### def setBackground(arg0: Color): Unit

     Definition Classes
       Component

231. #### def setBounds(arg0: Rectangle): Unit

     Definition Classes
       Component

232. #### def setBounds(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

233. #### def setComponentOrientation(arg0: ComponentOrientation): Unit

     Definition Classes
       Component

234. #### def setComponentZOrder(arg0: Component, arg1: Int): Unit

     Definition Classes
       Container

235. #### def setContentPane(arg0: Container): Unit

     Definition Classes
       JApplet → RootPaneContainer

236. #### def setCursor(arg0: Cursor): Unit

     Definition Classes
       Component

237. #### def setDropTarget(arg0: DropTarget): Unit

     Definition Classes
       Component

238. #### def setEnabled(arg0: Boolean): Unit

     Definition Classes
       Component

239. #### def setFocusCycleRoot(arg0: Boolean): Unit

     Definition Classes
       Container

240. #### def setFocusTraversalKeys(arg0: Int, arg1: java.util.Set[_ <: java.awt.AWTKeyStroke]): Unit

     Definition Classes
       Container → Component

241. #### def setFocusTraversalKeysEnabled(arg0: Boolean): Unit

     Definition Classes
       Component

242. #### def setFocusTraversalPolicy(arg0: FocusTraversalPolicy): Unit

     Definition Classes
       Container

243. #### final def setFocusTraversalPolicyProvider(arg0: Boolean): Unit

     Definition Classes
       Container

244. #### def setFocusable(arg0: Boolean): Unit

     Definition Classes
       Component

245. #### def setFont(arg0: Font): Unit

     Definition Classes
       Container → Component

246. #### def setForeground(arg0: Color): Unit

     Definition Classes
       Component

247. #### def setGlassPane(arg0: Component): Unit

     Definition Classes
       JApplet → RootPaneContainer

248. #### def setIgnoreRepaint(arg0: Boolean): Unit

     Definition Classes
       Component

249. #### def setJMenuBar(arg0: JMenuBar): Unit

     Definition Classes
       JApplet

250. #### def setLayeredPane(arg0: JLayeredPane): Unit

     Definition Classes
       JApplet → RootPaneContainer

251. #### def setLayout(arg0: LayoutManager): Unit

     Definition Classes
       JApplet → Container

252. #### def setLocale(arg0: Locale): Unit

     Definition Classes
       Component

253. #### def setLocation(arg0: Point): Unit

     Definition Classes
       Component

254. #### def setLocation(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

255. #### def setMaximumSize(arg0: Dimension): Unit

     Definition Classes
       Component

256. #### def setMinimumSize(arg0: Dimension): Unit

     Definition Classes
       Component

257. #### def setName(arg0: String): Unit

     Definition Classes
       Component

258. #### def setPreferredSize(arg0: Dimension): Unit

     Definition Classes
       Component

259. #### def setRootPane(arg0: JRootPane): Unit

     Attributes
       protected[swing]
     Definition Classes
       JApplet

260. #### def setRootPaneCheckingEnabled(arg0: Boolean): Unit

     Attributes
       protected[swing]
     Definition Classes
       JApplet

261. #### def setSize(arg0: Dimension): Unit

     Definition Classes
       Component

262. #### def setSize(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

263. #### final def setStub(arg0: AppletStub): Unit

     Definition Classes
       Applet

264. #### def setTransferHandler(arg0: TransferHandler): Unit

     Definition Classes
       JApplet

265. #### def setVisible(arg0: Boolean): Unit

     Definition Classes
       Component

266. #### def showStatus(arg0: String): Unit

     Definition Classes
       Applet

267. #### def start(): Unit

     Definition Classes
       Applet → Applet

268. #### def stop(): Unit

     Definition Classes
       Applet → Applet

269. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

270. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Component → AnyRef → Any

271. #### def transferFocus(): Unit

     Definition Classes
       Component

272. #### def transferFocusBackward(): Unit

     Definition Classes
       Component

273. #### def transferFocusDownCycle(): Unit

     Definition Classes
       Container

274. #### def transferFocusUpCycle(): Unit

     Definition Classes
       Component

275. #### def update(arg0: Graphics): Unit

     Definition Classes
       JApplet → Container → Component

276. #### def validate(): Unit

     Definition Classes
       Container → Component

277. #### def validateTree(): Unit

     Attributes
       protected[awt]
     Definition Classes
       Container

278. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

279. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

280. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

### Deprecated Value Members

1. #### def action(arg0: Event, arg1: Any): Boolean

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def bounds(): Rectangle

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### def countComponents(): Int

   Definition Classes
     Container
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### def deliverEvent(arg0: Event): Unit

   Definition Classes
     Container → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### def disable(): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

6. #### def enable(arg0: Boolean): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

7. #### def enable(): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

8. #### def getPeer(): ComponentPeer

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

9. #### def gotFocus(arg0: Event, arg1: Any): Boolean

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

10. #### def handleEvent(arg0: Event): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

11. #### def hide(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

12. #### def insets(): Insets

    Definition Classes
      Container
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

13. #### def inside(arg0: Int, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

14. #### def isFocusTraversable(): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

15. #### def keyDown(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

16. #### def keyUp(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

17. #### def layout(): Unit

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

18. #### def locate(arg0: Int, arg1: Int): Component

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

19. #### def location(): Point

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

20. #### def lostFocus(arg0: Event, arg1: Any): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

21. #### def minimumSize(): Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

22. #### def mouseDown(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

23. #### def mouseDrag(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

24. #### def mouseEnter(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

25. #### def mouseExit(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

26. #### def mouseMove(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

27. #### def mouseUp(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

28. #### def move(arg0: Int, arg1: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

29. #### def nextFocus(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

30. #### def postEvent(arg0: Event): Boolean

    Definition Classes
      Component → MenuContainer
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

31. #### def preferredSize(): Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

32. #### def reshape(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

33. #### def show(arg0: Boolean): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

34. #### def show(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

35. #### def size(): Dimension

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

### Inherited from JApplet

### Inherited from HasGetTransferHandler

### Inherited from RootPaneContainer

### Inherited from Applet

### Inherited from Panel

### Inherited from Accessible

### Inherited from Container

### Inherited from Component

### Inherited from Serializable

### Inherited from MenuContainer

### Inherited from ImageObserver

### Inherited from AnyRef

### Inherited from Any